    /* Error Text */
        .error-text {
            display: block;
            font-size: 11.5px;
            color: #e74c3c;
            margin-top: 3px;
            line-height: 1.2;
            padding-left: 2px;
            text-align: left
        }

        /* 🔥 Hide empty error (IMPORTANT FIX) */
        .error-text:empty {
            display: none;
        }

        /* Input Error State */
        .input-error {
            border-color: #e74c3c !important;
            background-color: #fff5f5;
        }

        .alert-danger {
        background-color: #f8d7da;
        color: #842029;
        padding: 8px 12px;
        border-radius: 4px;
        display: inline-block;
        font-size: 14px;
    }

    .alert-success {
    background-color: #d1e7dd;
    color: #0f5132;
    padding: 8px 12px;
    border-radius: 4px;
    display: inline-block;
    font-size: 14px;
}


input::selection {
    background: #0d6efd;
    color: #fff;
}
 
 .reset-btn {
    background: linear-gradient(135deg, #051563, #2585aa) !important;
    color: #fff;

    border: none;
    width: 45px;
    height: 45px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.3s ease;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
}

.reset-btn:hover {
    background: linear-gradient(135deg, #43e97b, #38f9d7);
    transform: rotate(90deg) scale(1.1);
    color: #fff;
}

.select2-container{
    z-index: 999999;
}


.select2-container--bootstrap .select2-dropdown,
.select2-container--bootstrap.select2-container--focus .select2-selection, .select2-container--bootstrap.select2-container--open .select2-selection{
    box-shadow: unset !important;
    border-color: var(--primary) !important;
}
.select2-container--bootstrap .select2-selection{
    box-shadow: unset !important;
    display: block;
    height: 3.5rem;
    width: 100%;
    padding: 0.375rem 2.25rem 0.375rem 0.75rem;
    -moz-padding-start: calc(0.75rem - 3px);
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 2.9;
    color: #000;
    background-color: #ffffff;
    /*background-image: url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e);*/
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
    border: 1px solid #d7dae3;
    border-radius: 0.75rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    appearance: none;
}
.select2-dropdown{
    border-radius: 0.75rem;
}

.select2-container--bootstrap .select2-search--dropdown .select2-search__field{
    box-shadow: unset !important;
    background: #fff;
    border: 0.0625rem solid #d7dae3;
    padding: 0.3125rem 1.25rem;
    color: #000000;
    height: 2.5rem;
    border-radius: 0.5rem;
    font-weight: 500;
}
.select2-container--bootstrap .select2-search--dropdown .select2-search__field:focus{
    border-color: var(--primary) !important;
}

.select2-container--bootstrap .select2-results__option--highlighted[aria-selected]{
    background-color: #363062;
}
.form-group.mb-2 .select2-container {
    z-index: 2 !important ;
}